%define module 	XML-TokeParser
%define version 0.05
%define release 2mdk

Summary:	Simplified interface to XML::Parser
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
URL:		http://www.omsdev.com/ebohlman/
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
The XML::TokeParser perl module provides a procedural ("pull mode")
interface to XML::Parser in much the same way that HTML::TokeParser
provides a procedural interface to HTML::Parser.

XML::TokeParser splits its XML input up into "tokens," each
corresponding to an XML::Parser event.

A token is a reference to an array whose first element is an event-type 
string and whose last element is the literal text of the XML input that 
generated the event, with intermediate elements varying according to the 
event type:


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install


%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes 
%{_mandir}/*/*
%{perl_vendorlib}/XML/*

%changelog
* Wed Sep 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.05-2mdk
- rebuild

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 0.05-1mdk
- 0.05.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-5mdk
- rebuild for new auto{prov,req}

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-4mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.04-3mdk
- enhanced summary & description

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.04-2mdk
- rebuild for perl 5.8.0

* Wed Sep 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.04-1mdk
- added by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release



